using System;
using System.Collections.Generic;
using System.Text;
using TERASOLUNA.Fw.Common.Logging;
using TERASOLUNA.Fw.Common.Logging.TraceSourceLog;

namespace TERASOLUNA.Fw.CommonUT.Logging
{
    /// <summary>
    /// LogFactory 単体試験用のスタブクラスです。
    /// </summary>
    /// <remarks>
    /// LogFactory を継承しており、GetInstance メソッドの返り値が T 型にキャストできるクラスです。
    /// </remarks>
    public class LogFactory_Stub07 : LogFactory
    {
        public LogFactory_Stub07() { }

        protected override ILog GetInstance(string className, params object[] args)
        {
            return new LogFactory_ILogStub01();
        }

        protected override ILog GetInstance(Type classType, params object[] args)
        {
            return new LogFactory_ILogStub01();
        }
    }
}
